
--[=[
you can register a `setup' and `teardown' function for any group.
these functions are run before and after each testcase of that group.
]=]

group "this group contains setup and teardown"

setup(function ()
   print "setting up..."
end)

teardown(function ()
   print "tearing down..."
end)

test("test1", function ()
   print "test1 running..."
end)

test("test2", function ()
   print "test2 running..."
end)


-- switch to another group, so no setup and teardown
group "new group"

test("test1", function ()
   print "test1 running..."
end)

-- if group containing no test, then setup and teardown won't run
group "group without tests"

setup(function ()
   print "set up function will not run."
end)

